%define rel 3
%define major 0
%define oldlibname %mklibname qt-gstreamer 0

Name: qt-gstreamer
Summary: C++ bindings for GStreamer with a Qt-style API
Version: 0.10.2
Release: %mkrel %{rel}
License: LGPLv2+
Url: http://gstreamer.freedesktop.org/wiki/QtGStreamer
Group: Development/KDE and Qt

#BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(QtGui) < 5.0.0
BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: pkgconfig(QtTest) < 5.0.0
BuildRequires: pkgconfig(QtDeclarative) < 5.0.0
BuildRequires: pkgconfig(QtOpenGL) < 5.0.0
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: qt4-qmlviewer
BuildRequires: cmake
BuildRequires: boost-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: doxygen
Source0: http://gstreamer.freedesktop.org/src/qt-gstreamer/%{name}-%{version}.tar.bz2

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files
%_libdir/gstreamer-0.10/libgstqtvideosink.so
%_qt4_importdir/QtGStreamer/

#-------------------------------------------------------------------
%define libqtglib %mklibname qtglib %{version}

%package -n %{libqtglib}
Summary: C++/Qt bindings for parts of the GLib and GObject APIs
Group: System/Libraries
Conflicts: %{oldlibname} < 0.10.2
%description -n %{libqtglib}
Library providing C++/Qt bindings for parts of the GLib and GObject 
APIs, a base on which QtGStreamer is built.

%files -n %{libqtglib}
%_libdir/libQtGLib-2.0.so.%{major}*

#-------------------------------------------------------------------
%define libqtgstreamer %mklibname qtgstreamer %{version}

%package -n %{libqtgstreamer}
Summary: C++/Qt bindings for GStreamer
Group: System/Libraries
Conflicts: %{oldlibname} < 0.10.2
%description -n %{libqtgstreamer}
Library providing C++/Qt bindings for GStreamer

%files -n %{libqtgstreamer}
%_libdir/libQtGStreamer-0.10.so.%{major}*

#-------------------------------------------------------------------
%define libqtgstreamerui %mklibname qtgstreamerui %{version}

%package -n %{libqtgstreamerui}
Summary: Library providing integration with QtGui
Group: System/Libraries
Conflicts: %{oldlibname} < 0.10.2
%description -n %{libqtgstreamerui}
Library providing integration with QtGui.

%files -n %{libqtgstreamerui}
%_libdir/libQtGStreamerUi-0.10.so.%{major}*

#-------------------------------------------------------------------
%define libqtgstreamerutils %mklibname qtgstreamerutils %{version}

%package -n %{libqtgstreamerutils}
Summary: Library providing some high level utility classes
Group: System/Libraries
Conflicts: %{oldlibname} < 0.10.2
%description -n %{libqtgstreamerutils}
Library providing some high level utility classes.

%files -n %{libqtgstreamerutils}
%_libdir/libQtGStreamerUtils-0.10.so.%{major}*

#--------------------------------------------------------------------
%define develname %mklibname -d %name

%package -n %{develname}
Summary: Development files for QtGstreamer
Group: Development/KDE and Qt
Requires: %libqtglib = %version-%release
Requires: %libqtgstreamer = %version-%release
Requires: %libqtgstreamerui = %version-%release
Requires: %libqtgstreamerutils = %version-%release
Requires: boost-devel
Provides: %name-devel = %version-%release

%description -n %{develname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

This package contains files for developing applications using 
QtGstreamer.

%files -n %{develname}
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_libdir/QtGStreamer/*.cmake
%_includedir/QtGStreamer

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DQTGSTREAMER_TESTS=ON -DLIB_INSTALL_DIR=%{_libdir}
%make

%install
%makeinstall_std -C build


%changelog

* Wed Mar 13 2013 neoclust <neoclust> 0.10.2-3.mga3
+ Revision: 402639
- Make devel package require boost-devel as it is an include in QtGStreamer/QGlib/global.h

* Sun Jan 13 2013 umeabot <umeabot> 0.10.2-2.mga3
+ Revision: 379920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 mikala <mikala> 0.10.2-1.mga3
+ Revision: 285923
- Update tarball to 0.10.2
- Split the lib(64)qt-gstreamer library (it was providing 3 libraries)
- Add missing BR & use pkconfig() when it's possible

* Thu Apr 12 2012 mikala <mikala> 0.10.1.2-1.mga2
+ Revision: 230512
- Update tarball to 0.10.1.2
- Disable test for now (1 test fail)
- Fix files list
- Add patch1 to fix build against glib 2.31
- rediff patch0 in order to use %%apply_patches macro
- Remove %%clean & %%defattr()

* Thu Mar 03 2011 mikala <mikala> 0.10.1-1.mga1
+ Revision: 63726
- Drop BuildRoot
- imported package qt-gstreamer


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2011.0
+ Revision: 635774
- install into correct libdir
- update url and group
- import qt-gstreamer

